Projects

Projects represent ongoing, completed or canceled projects attached to an organization, person or to deals. Each project has an owner and must be placed in a phase. Each project consists of standard data fields but can also contain a number of custom fields. The custom fields can be recognized by long hashes as keys.

Get all projects

Copy link

Returns all non-archived projects.

Cost

10

Request
GET

/api/v2/projects

Query parameters

filter_id

integer

If supplied, only projects matching the specified filter are returned

status

string

If supplied, includes only projects with the specified statuses. Possible values are open, completed, canceled and deleted. By default deleted projects are not returned.

phase_id

integer

If supplied, only projects in the specified phase are returned

limit

integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

cursor

string

For pagination, the marker (an opaque string value) representing the first item on the next page

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]
      • { ... }

      Get details of a project

      Copy link

      Returns the details of a specific project. Custom fields appear as keys inside the custom_fields object.

      Cost

      1

      Request
      GET

      /api/v2/projects/{id}

      Path parameters

      id

      integer

      required

      The ID of the project

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Returns project activities

        Copy link

        Returns activities linked to a specific project.

        Cost

        20

        Request
        GET

        /api/v1/projects/{id}/activities

        Path parameters

        id

        integer

        required

        The ID of the project

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • [ ... ]
            • { ... }

            List updates about project field values

            Copy link

            Lists updates about field values of a project.

            Cost

            10

            Request
            GET

            /api/v2/projects/{id}/changelog

            Path parameters

            id

            integer

            required

            The ID of the project

            Query parameters

            limit

            integer

            For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

            cursor

            string

            For pagination, the marker (an opaque string value) representing the first item on the next page

            Response
            200

            OK

            Expand all
            Copy code
              • true
              • [ ... ]
                • { ... }

                Returns project groups

                Copy link

                Returns all active groups under a specific project.

                Cost

                20

                Request
                GET

                /api/v1/projects/{id}/groups

                Path parameters

                id

                integer

                required

                The ID of the project

                Response
                200

                OK

                Expand all
                Copy code
                  • true
                  • [ ... ]
                    • null

                  List permitted users

                  Copy link

                  Lists the users permitted to access a project.

                  Cost

                  5

                  Request
                  GET

                  /api/v2/projects/{id}/permittedUsers

                  Path parameters

                  id

                  integer

                  required

                  The ID of the project

                  Response
                  200

                  OK

                  Expand all
                  Copy code
                    • true
                    • [ ... ]

                    Returns project plan

                    Copy link

                    Returns information about items in a project plan. Items consists of tasks and activities and are linked to specific project phase and group.

                    Cost

                    20

                    Request
                    GET

                    /api/v1/projects/{id}/plan

                    Path parameters

                    id

                    integer

                    required

                    The ID of the project

                    Response
                    200

                    OK

                    Expand all
                    Copy code
                      • true
                      • [ ... ]
                        • null

                      Returns project tasks

                      Copy link

                      Returns tasks linked to a specific project.

                      Cost

                      20

                      Request
                      GET

                      /api/v1/projects/{id}/tasks

                      Path parameters

                      id

                      integer

                      required

                      The ID of the project

                      Response
                      200

                      OK

                      Expand all
                      Copy code
                        • true
                        • [ ... ]
                          • { ... }

                          Get all archived projects

                          Copy link

                          Returns all archived projects.

                          Cost

                          10

                          Request
                          GET

                          /api/v2/projects/archived

                          Query parameters

                          filter_id

                          integer

                          If supplied, only projects matching the specified filter are returned

                          status

                          string

                          If supplied, includes only projects with the specified statuses. Possible values are open, completed, canceled and deleted. By default deleted projects are not returned.

                          phase_id

                          integer

                          If supplied, only projects in the specified phase are returned

                          limit

                          integer

                          For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

                          cursor

                          string

                          For pagination, the marker (an opaque string value) representing the first item on the next page

                          Response
                          200

                          OK

                          Expand all
                          Copy code
                            • true
                            • [ ... ]
                              • { ... }

                              Search projects

                              Copy link

                              Searches all projects by title, description, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found projects can be filtered by person ID or organization ID.

                              Endpoint is in beta

                              Cost

                              20

                              Request
                              GET

                              /api/v2/projects/search

                              Query parameters

                              term

                              string

                              required

                              The search term to look for. Minimum 2 characters (or 1 if using exact_match). Please note that the search term has to be URL encoded.

                              fields

                              string

                              A comma-separated string array. The fields to perform the search from. Defaults to all of them. Only the following custom field types are searchable: address, varchar, text, varchar_auto, double, monetary and phone. Read more about searching by custom fields here.

                              Values

                              custom_fields

                              notes

                              title

                              description

                              exact_match

                              boolean

                              When enabled, only full exact matches against the given term are returned. It is not case sensitive.

                              person_id

                              integer

                              Will filter projects by the provided person ID

                              organization_id

                              integer

                              Will filter projects by the provided organization ID

                              limit

                              integer

                              For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

                              cursor

                              string

                              For pagination, the marker (an opaque string value) representing the first item on the next page

                              Response
                              200

                              OK

                              Expand all
                              Copy code
                                • true
                                • { ... }
                                  • { ... }

                                  Add a project

                                  Copy link

                                  Adds a new project. Custom fields should be wrapped in the custom_fields object.

                                  Cost

                                  5

                                  Request
                                  POST

                                  /api/v2/projects

                                  Body parameters

                                  application/json

                                  title

                                  string

                                  required

                                  The title of the project

                                  description

                                  string

                                  The description of the project

                                  status

                                  string

                                  The status of the project

                                  board_id

                                  integer

                                  The ID of the board this project is associated with

                                  phase_id

                                  integer

                                  The ID of the phase this project is associated with

                                  owner_id

                                  integer

                                  The ID of the user who owns the project

                                  start_date

                                  string

                                  The start date of the project. Format: YYYY-MM-DD

                                  Format

                                  date

                                  end_date

                                  string

                                  The end date of the project. Format: YYYY-MM-DD

                                  Format

                                  date

                                  deal_ids

                                  array

                                  An array of IDs of the deals this project is associated with

                                  person_ids

                                  array

                                  An array of IDs of the persons this project is associated with

                                  org_ids

                                  array

                                  An array of IDs of the organizations this project is associated with

                                  label_ids

                                  array

                                  An array of IDs of the labels this project has

                                  template_id

                                  integer

                                  The ID of the template the project will be based on. Only used when creating a new project.

                                  custom_fields

                                  object

                                  An object where each key represents a custom field. All custom fields are referenced as randomly generated 40-character hashes. To clear a custom field value, set it to null. For multi-option fields (field type set), use null to clear the selection — sending an empty array [] is not supported and will result in a validation error.

                                  Response
                                  201

                                  Created

                                  Expand all
                                  Copy code
                                    • true
                                    • { ... }

                                    Archive a project

                                    Copy link

                                    Archives a project.

                                    Cost

                                    3

                                    Request
                                    POST

                                    /api/v2/projects/{id}/archive

                                    Path parameters

                                    id

                                    integer

                                    required

                                    The ID of the project

                                    Response
                                    200

                                    OK

                                    Expand all
                                    Copy code
                                      • true
                                      • { ... }

                                      Update a project

                                      Copy link

                                      Updates the properties of a project.

                                      Cost

                                      5

                                      Request
                                      PATCH

                                      /api/v2/projects/{id}

                                      Path parameters

                                      id

                                      integer

                                      required

                                      The ID of the project

                                      Body parameters

                                      application/json

                                      title

                                      string

                                      The title of the project

                                      description

                                      string

                                      The description of the project

                                      status

                                      string

                                      The status of the project

                                      board_id

                                      integer

                                      The ID of the board this project is associated with

                                      phase_id

                                      integer

                                      The ID of the phase this project is associated with

                                      owner_id

                                      integer

                                      The ID of the user who owns the project

                                      start_date

                                      string

                                      The start date of the project. Format: YYYY-MM-DD

                                      Format

                                      date

                                      end_date

                                      string

                                      The end date of the project. Format: YYYY-MM-DD

                                      Format

                                      date

                                      deal_ids

                                      array

                                      An array of IDs of the deals this project is associated with

                                      person_ids

                                      array

                                      An array of IDs of the persons this project is associated with

                                      org_ids

                                      array

                                      An array of IDs of the organizations this project is associated with

                                      label_ids

                                      array

                                      An array of IDs of the labels this project has

                                      template_id

                                      integer

                                      The ID of the template the project will be based on. Only used when creating a new project.

                                      custom_fields

                                      object

                                      An object where each key represents a custom field. All custom fields are referenced as randomly generated 40-character hashes. To clear a custom field value, set it to null. For multi-option fields (field type set), use null to clear the selection — sending an empty array [] is not supported and will result in a validation error.

                                      Response
                                      200

                                      OK

                                      Expand all
                                      Copy code
                                        • true
                                        • { ... }

                                        Update activity in project plan

                                        Copy link

                                        Updates an activity phase or group in a project.

                                        Cost

                                        10

                                        Request
                                        PUT

                                        /api/v1/projects/{id}/plan/activities/{activityId}

                                        Path parameters

                                        id

                                        integer

                                        required

                                        The ID of the project

                                        activityId

                                        integer

                                        required

                                        The ID of the activity

                                        Body parameters

                                        application/json

                                        phase_id

                                        number

                                        The ID of a phase on a project board

                                        group_id

                                        number

                                        The ID of a group on a project board

                                        Response
                                        200

                                        OK

                                        Expand all
                                        Copy code
                                          • true
                                          • { ... }
                                            • null

                                          Update task in project plan

                                          Copy link

                                          Updates a task phase or group in a project.

                                          Cost

                                          10

                                          Request
                                          PUT

                                          /api/v1/projects/{id}/plan/tasks/{taskId}

                                          Path parameters

                                          id

                                          integer

                                          required

                                          The ID of the project

                                          taskId

                                          integer

                                          required

                                          The ID of the task

                                          Body parameters

                                          application/json

                                          phase_id

                                          number

                                          The ID of a phase on a project board

                                          group_id

                                          number

                                          The ID of a group on a project board

                                          Response
                                          200

                                          OK

                                          Expand all
                                          Copy code
                                            • true
                                            • { ... }
                                              • null

                                            Delete a project

                                            Copy link

                                            Marks a project as deleted.

                                            Cost

                                            3

                                            Request
                                            DELETE

                                            /api/v2/projects/{id}

                                            Path parameters

                                            id

                                            integer

                                            required

                                            The ID of the project

                                            Response
                                            200

                                            OK

                                            Expand all
                                            Copy code
                                              • true
                                              • { ... }

                                              Subscribe to Pipedrive’s Developer Newsletter